'use strict';

var app = require('koa')();
var teardown = require('./');

app.use(teardown(app));

app.use(function *(next) {
  this.teardown(function *() {
    console.log('teardown');
  });

  this.body = 'example';

  yield* next;
});

app.use(function *downstream() {
  console.log('downstream');
});

app.listen(3000);
